# CSS Regression tests for frontend

The CSS regression covers pages by taking and comparing pictures, thus it checks if the elements are different of what they suppose to be for the end user in different browsers and resolutions.

## Package

The package is a wrap of another package called **differencify** which can be reached here: https://github.com/NimaSoroush/differencify/

## Installing it

`npm install --save css-regression`

## Using it

~~~javascript 
// Import
const regression = require("css-regression")

// Take pictures of all devices listed
const css = () => {
    /**
        Setup
        - It will scroll down and wait 1 second for picture to load
        - Threshold for the picture comparision
        - Scroll if you have the need of loading all pictures of lazyloading
    */
    regression.setup({
        "imgLoad": 4000, 
        "threshold": 0.04, 
        "autoscroll":false
    })

    // Take pictures for all pre-defined devices
    regression.queueAll("<url to be defined>")

    // Execute
    regression.execute()
}

css()
~~~
